--- 4.5.22/exim.conf-SpamBlockerTechnology-v4.5.22.txt	2020-02-20 23:31:41.997969332 -0700
+++ 4.5.23/exim.conf-SpamBlockerTechnology-v4.5.23.txt	2020-03-11 16:17:54.105108907 -0600
@@ -1,4 +1,4 @@
-# SpamBlockerTechnology* powered exim.conf, Version 4.5.22
+# SpamBlockerTechnology* powered exim.conf, Version 4.5.23
 # August 15, 2018
 # Exim configuration file for DirectAdmin
 # Requires exim.pl as distributed by DirectAdmin here:
@@ -696,6 +696,7 @@
 uservacation:
   # uservacation reply to all except errors, bounces, lists
   driver = accept
+  condition = ${if def:h_Auto-submitted:{${if match{$h_Auto-submitted:}{\N^no\N\}{yes}{no}}}{yes}}
   condition = ${lookup{$local_part} lsearch {/etc/virtual/${domain}/vacation.conf}{yes}{no}}
   condition = ${if match{$h_X-Spam-Status:}{\N^Yes\N}{no}{yes}}
   require_files = /etc/virtual/${domain}/reply/${local_part}.msg
@@ -709,8 +710,34 @@
   transport = uservacation
   unseen
 
+#autoreply exists
+#both passwd and forwarders do not have local_part.
 userautoreply:
   driver = accept
+  condition = ${if def:h_Auto-submitted:{${if match{$h_Auto-submitted:}{\N^no\N\}{yes}{no}}}{yes}}
+  condition = ${lookup{$local_part} lsearch {/etc/virtual/${domain}/autoresponder.conf}{yes}{no}}
+  condition = ${if match{$h_X-Spam-Status:}{\N^Yes\N}{no}{yes}}
+  require_files = /etc/virtual/${domain}/reply/${local_part}.msg
+
+  condition = ${if exists{/etc/virtual/${domain}/passwd}}
+  condition = ${if exists{/etc/virtual/${domain}/aliases}}  
+  condition = ${lookup{$local_part}lsearch{/etc/virtual/${domain}/passwd}{no}{yes}}
+  condition = ${lookup{$local_part}lsearch{/etc/virtual/${domain}/aliases}{no}{yes}}
+
+  # do not reply to errors and bounces or lists
+  senders = " ! ^.*-request@.*:\
+              ! ^owner-.*@.*:\
+              ! ^postmaster@.*:\
+              ! ^listmaster@.*:\
+              ! ^mailer-daemon@.*\
+              ! ^root@.*"
+  transport = userautoreply
+
+#autoreply exists
+#either passwd or forwarders exist, failover from above.
+userautoreply_unseen:
+  driver = accept
+  condition = ${if def:h_Auto-submitted:{${if match{$h_Auto-submitted:}{\N^no\N\}{yes}{no}}}{yes}}
   condition = ${lookup{$local_part} lsearch {/etc/virtual/${domain}/autoresponder.conf}{yes}{no}}
   condition = ${if match{$h_X-Spam-Status:}{\N^Yes\N}{no}{yes}}
   require_files = /etc/virtual/${domain}/reply/${local_part}.msg
